const Sequelize = require("sequelize");
const db = require("../../db");

module.exports = db.sequelize.define("booking", {
  bookingID: {
    type: Sequelize.INTEGER,
    primaryKey: true,
    autoIncrement: true
  },
  userID: {
    type: Sequelize.INTEGER
  },
  shopID: {
    type: Sequelize.INTEGER
  },
  listID: {
    type: Sequelize.INTEGER
  },
  bookingDete: {
    type: Sequelize.DATE
  },
  bookingTime: {
    type: Sequelize.TIME
  }
});
