const Sequelize = require("sequelize");
const db = require("../../db");

module.exports = db.sequelize.define("shop", {
    shopID: {
    type: Sequelize.INTEGER,
    primaryKey: true,
    autoIncrement: true
  },

  shopName: {
    type: Sequelize.INTEGER
  },
  shopTimeopen: {
    type: Sequelize.TIME
  },
  shopTimeClose: {
    type: Sequelize.TIME
  },
  shopAddress: {
    type: Sequelize.STRING
  },
  shopTel: {
    type: Sequelize.STRING
  },
  shopDetial: {
    type: Sequelize.STRING
  },
  shopMap: {
    type: Sequelize.STRING
  },
  shopType: {
    type: Sequelize.ENUM('สปาและนวด', 'ผิวหน้า', 'ขนตาและคิ้ว', 'ทำเล็บ', 'ชาลอน', 'แต่งหน้าทำผม')
  }
});
